summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorjames <james@e7ae566f-a301-0410-adde-c780ea21d3b5>2007-03-06 11:37:47 +0000
committerjames <james@e7ae566f-a301-0410-adde-c780ea21d3b5>2007-03-06 11:37:47 +0000
commite5514a90c43406e959626c695c4e82ac64b57e9c (patch)
tree89053915178bcce893aeb6462a45ec14518a4ff2
parenta4d3945020e01bbfa83276ee83b311ea922cfb76 (diff)
downloadopenvpn-e5514a90c43406e959626c695c4e82ac64b57e9c.tar.gz
openvpn-e5514a90c43406e959626c695c4e82ac64b57e9c.tar.xz
openvpn-e5514a90c43406e959626c695c4e82ac64b57e9c.zip
./domake-win will now do a full build of the installer
from source. git-svn-id: http://svn.openvpn.net/projects/openvpn/branches/BETA21/openvpn@1761 e7ae566f-a301-0410-adde-c780ea21d3b5
-rw-r--r--domake-win17
-rw-r--r--install-win32/signinstaller16
-rw-r--r--install-win32/signtap4
3 files changed, 35 insertions, 2 deletions
diff --git a/domake-win b/domake-win
new file mode 100644
index 0000000..d78e12d
--- /dev/null
+++ b/domake-win
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+install-win32/winconfig
+
+# get version.nsi definitions
+. autodefs/nsidefs.sh
+
+make -f makefile.w32 -j 2
+cd service-win32
+make -j 2
+cd ..
+install-win32/maketapinstall
+install-win32/maketap
+install-win32/signtap
+install-win32/makebin
+install-win32/buildinstaller
+install-win32/signinstaller
diff --git a/install-win32/signinstaller b/install-win32/signinstaller
new file mode 100644
index 0000000..fba1db8
--- /dev/null
+++ b/install-win32/signinstaller
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# Sign the installer
+
+SIGN=../sign
+
+c=`pwd`
+cd install-win32
+ls openvpn*.exe 2>/dev/null || exit 1
+exe=`pwd`/`ls -t openvpn*.exe | head -n 1`
+cd $c
+cd $SIGN
+
+TS="http://timestamp.verisign.com/scripts/timstamp.dll"
+echo '******************' SIGN OpenVPN INSTALLER
+./signcode -spc mycredentials.spc -v myprivatekey.pvk -a sha1 -n "OpenVPN Installer" -t $TS `perl $c/install-win32/dosname.pl $exe`
diff --git a/install-win32/signtap b/install-win32/signtap
index 371a87e..248c545 100644
--- a/install-win32/signtap
+++ b/install-win32/signtap
@@ -38,6 +38,6 @@ cd $SIGN
TS="http://timestamp.verisign.com/scripts/timstamp.dll"
echo '******************' SIGN .cat FILE for x86
-./signcode -spc mycredentials.spc -v myprivatekey.pvk -n "OpenVPN TAP-Win32 Driver" -t $TS `perl $c/install-win32/dosname.pl $x86/tap.cat`
+./signcode -spc mycredentials.spc -v myprivatekey.pvk -a sha1 -n "OpenVPN TAP-Win32 Driver" -t $TS `perl $c/install-win32/dosname.pl $x86/tap.cat`
echo '******************' SIGN .cat FILE for x64
-./signcode -spc mycredentials.spc -v myprivatekey.pvk -n "OpenVPN TAP-Win64 Driver" -t $TS `perl $c/install-win32/dosname.pl $x64/tap.cat`
+./signcode -spc mycredentials.spc -v myprivatekey.pvk -a sha1 -n "OpenVPN TAP-Win64 Driver" -t $TS `perl $c/install-win32/dosname.pl $x64/tap.cat`